<?php
/*********************************************************************

	Responsive Bootstrap Theme "Extended Basic" 
	
	Jürgen Buchberger <jbuchberger@direktmarketingtool.de>
	Copyright (c) 2015 DMT direktmarketingtool.de GmbH
	http://www.direktmarketingtool.de

    Released under the GNU General Public License WITHOUT ANY WARRANTY.

**********************************************************************/
?>

<?php
$title=($cfg && is_object($cfg) && $cfg->getTitle())
    ? $cfg->getTitle() : 'osTicket :: '.__('Support Ticket System');
$signin_url = ROOT_PATH . "login.php"
    . ($thisclient ? "?e=".urlencode($thisclient->getEmail()) : "");
$signout_url = ROOT_PATH . "logout.php?auth=".$ost->getLinkToken();

header("Content-Type: text/html; charset=UTF-8");
?>
<!DOCTYPE html>
<html <?php
if (($lang = Internationalization::getCurrentLanguage())
        && ($info = Internationalization::getLanguageInfo($lang))
        && (@$info['direction'] == 'rtl'))
    echo 'dir="rtl" class="rtl"';
?>>
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <title><?php echo Format::htmlchars($title); ?></title>
    <meta name="description" content="customer support platform">
    <meta name="keywords" content="osTicket, Customer support system, support ticket system">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">
	<!-- DMT REMOVED 

    <link type="text/css" rel="stylesheet" href="<?php echo ROOT_PATH; ?>css/flags.css?19292ad"/>
    <link type="text/css" rel="stylesheet" href="<?php echo ROOT_PATH; ?>css/font-awesome.min.css?19292ad"/>
    -->
    <link rel="stylesheet" href="<?php echo ROOT_PATH; ?>css/osticket.css?19292ad" media="screen"/>
    <link rel="stylesheet" href="<?php echo ASSETS_PATH; ?>css/print.css?19292ad" media="print"/>
    <link rel="stylesheet" href="<?php echo ROOT_PATH; ?>scp/css/typeahead.css?19292ad" media="screen" />
    <link type="text/css" href="<?php echo ROOT_PATH; ?>css/ui-lightness/jquery-ui-1.10.3.custom.min.css?19292ad" rel="stylesheet" media="screen" />
    <link rel="stylesheet" href="<?php echo ROOT_PATH; ?>css/thread.css?19292ad" media="screen"/>
    <link type="text/css" rel="stylesheet" href="<?php echo ROOT_PATH; ?>css/rtl.css?19292ad"/>
    <link rel="stylesheet" href="<?php echo ASSETS_PATH; ?>css/theme.css?19292ad" media="screen"/>
    <link rel="stylesheet" href="<?php echo ROOT_PATH; ?>css/redactor.css?19292ad" media="screen"/>



    <!-- DMT EXTENDED CSS Start -->
    <link href="<?php echo ROOT_PATH; ?>ext_css/bootstrap.min.css" rel="stylesheet">
    <link href="<?php echo ROOT_PATH; ?>ext_css/bootstrap-dialog.css" rel="stylesheet">
    <link href="<?php echo ROOT_PATH; ?>ext_css/ext_base.css" rel="stylesheet">
    <link href="<?php echo ROOT_PATH; ?>ext_font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css">
    <!-- DMT EXTENDED CSS End -->
    
    <!-- DMT EXTENDED JS Start -->
    <script src="<?php echo ROOT_PATH; ?>ext_js/jquery.js"></script>
    <script src="<?php echo ROOT_PATH; ?>ext_js/bootstrap.min.js"></script>
    <script src="<?php echo ROOT_PATH; ?>ext_js/bootstrap-dialog.js"></script>
    <!-- DMT EXTENDED JS Start -->
    
    <script type="text/javascript" src="<?php echo ROOT_PATH; ?>js/jquery-1.8.3.min.js?19292ad"></script>
    <script type="text/javascript" src="<?php echo ROOT_PATH; ?>js/jquery-ui-1.10.3.custom.min.js?19292ad"></script>
    <script src="<?php echo ROOT_PATH; ?>scp/js/bootstrap-typeahead.js?19292ad"></script>
    <script type="text/javascript" src="<?php echo ROOT_PATH; ?>js/jquery.multiselect.min.js?19292ad"></script>
    <script src="<?php echo ROOT_PATH; ?>js/osticket.js?19292ad"></script>
    <script type="text/javascript" src="<?php echo ROOT_PATH; ?>js/filedrop.field.js?19292ad"></script>  
    <script type="text/javascript" src="<?php echo ROOT_PATH; ?>js/redactor.min.js?19292ad"></script>
    <script type="text/javascript" src="<?php echo ROOT_PATH; ?>js/redactor-osticket.js?19292ad"></script>
    <script type="text/javascript" src="<?php echo ROOT_PATH; ?>js/redactor-fonts.js?19292ad"></script>
    <?php
    if($ost && ($headers=$ost->getExtraHeaders())) {
        echo "\n\t".implode("\n\t", $headers)."\n";
    }
    ?>
</head>
<body>
<!-- DMT EXTENDED Dialog Modals -->
		<?php if($errors['err']) { ?>
        <div id="modal_error"></div>
        <script type="text/javascript">
            $(function () {
                var dialog = new BootstrapDialog({
					type: BootstrapDialog.TYPE_DANGER,
                    title: '<?php echo __('ERROR'); ?>',
                    message: '<?php echo $errors['err']; ?>'
                });
                dialog.realize();
                $('#modal_error').append(dialog.getModal());
                dialog.open();
            });
        </script>
		<?php }elseif($msg) { ?>
        <div id="modal_notice"></div>
        <script type="text/javascript">
            $(function () {
                var dialog = new BootstrapDialog({
                    title: 'INFO',
                    message: '<?php echo $msg; ?>'
                });
                dialog.realize();
                $('#modal_notice').append(dialog.getModal());
                dialog.open();
            });
        </script>
        <?php }elseif($warn) { ?>
        <div id="modal_warning"></div>
        <script type="text/javascript">
            $(function () {
                var dialog = new BootstrapDialog({
					type: BootstrapDialog.TYPE_WARNING,
                    title: '<?php echo __('WARN'); ?>',
                    message: '<?php echo $warn; ?>'
                });
                dialog.realize();
                $('#modal_warning').append(dialog.getModal());
                dialog.open();
            });
        </script>
        <?php } ?>

         
<!-- DMT EXTENDED Navigation -->
    <nav class="navbar navbar-inverse navbar-fixed-top" role="navigation">
    	<div class="branding">
        <div class="container branding-logo">
        <a id="logo" href="<?php echo ROOT_PATH; ?>index.php" title="<?php echo __('Support Center'); ?>">
           <img src="<?php echo ROOT_PATH; ?>logo.php" border=0 alt="<?php echo $ost->getConfig()->getTitle(); ?>"  height="83px">
        </a>
        </div>
        </div>
        <div class="container">
            <!-- Brand and toggle get grouped for better mobile display -->
            <div class="navbar-header">
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                <a class="navbar-brand" href="index.php"><?php echo $ost->getConfig()->getTitle(); ?></a>
            </div>
            <!-- Collect the nav links, forms, and other content for toggling -->
            <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
                <ul class="nav navbar-nav navbar-right">
                    <?php
            			if($nav && ($navs=$nav->getNavLinks()) && is_array($navs)){
                		foreach($navs as $name =>$nav) {
                    	echo sprintf('<li><a class="%s %s" href="%s">%s</a></li>%s',$nav['active']?'active':'',$name,(ROOT_PATH.$nav['href']),$nav['desc'],"\n");
                		}
            		} ?>
            
                    <?php
                	if ($thisclient && is_object($thisclient) && $thisclient->isValid()&& !$thisclient->isGuest()) {?>
                 	<li class="dropdown">
                 		<a href="#" class="dropdown-toggle" data-toggle="dropdown"><?php echo Format::htmlchars($thisclient->getName());?><b class="caret"></b></a>
                         	<ul class="dropdown-menu">
                            	<li>
               						 <a href="<?php echo ROOT_PATH; ?>profile.php"><?php echo __('Profile'); ?></a>
                                </li>
                            	<li>
                					<a href="<?php echo ROOT_PATH; ?>tickets.php"><?php echo sprintf(__('Tickets <b>(%d)</b>'), $thisclient->getNumTickets()); ?></a>
                                </li>
                            	<li>
 					                <a href="<?php echo $signout_url; ?>"><?php echo __('Sign Out'); ?></a>
                                </li>
                        	</ul>
                  	</li>
            		<?php
            		} elseif($nav) {
                		if ($thisclient && $thisclient->isValid() && $thisclient->isGuest()) { ?>
                    	<li><a href="<?php echo $signout_url; ?>"><?php echo __('Sign Out'); ?></a></li><?php
                		}
                		elseif ($cfg->getClientRegistrationMode() != 'disabled') { ?>
                    	<li><a href="<?php echo $signin_url; ?>"><?php echo __('Sign In'); ?></li></a>
					<?php
                		}
            		} ?>
                    

                    <?php
					if (($all_langs = Internationalization::availableLanguages())
   						 && (count($all_langs) > 1)
						) {
    						foreach ($all_langs as $code=>$info) {
       						 list($lang, $locale) = explode('_', $code);
					?>
                              <li>
        							<a href="?<?php echo urlencode($_GET['QUERY_STRING']); ?>&amp;lang=<?php echo $code;?>" style="text-transform: uppercase;" title="<?php echo Internationalization::getLanguageDescription($code); ?>"><?php echo Internationalization::getLanguageDescription($lang); ?></a>
                    			</li>

                    
<?php }
} ?>

                </ul>

            </div>
            <!-- /.navbar-collapse -->
        </div>
        <!-- /.container -->
    </nav>

 <!-- DMT EXTENDED Header Carousel on index.php -->
 <?php if ($_SERVER['PHP_SELF'] == '/index.php'){?>
   <header id="myCarousel" class="carousel slide">
        <!-- Indicators -->
        <ol class="carousel-indicators">
            <li data-target="#myCarousel" data-slide-to="0" class="active"></li>
            <li data-target="#myCarousel" data-slide-to="1"></li>
            <li data-target="#myCarousel" data-slide-to="2"></li>
        </ol>

        <!-- Wrapper for slides -->
        <div class="carousel-inner">
            <div class="item active">
                <div class="fill" style="background-image:url('http://placehold.it/1900x1080&text=Slide One');"></div>
                <div class="carousel-caption">
                    <h2>Caption 1</h2>
                </div>
            </div>
            <div class="item">
                <div class="fill" style="background-image:url('http://placehold.it/1900x1080&text=Slide Two');"></div>
                <div class="carousel-caption">
                    <h2>Caption 2</h2>
                </div>
            </div>
            <div class="item">
                <div class="fill" style="background-image:url('http://placehold.it/1900x1080&text=Slide Three');"></div>
                <div class="carousel-caption">
                    <h2>Caption 3</h2>
                </div>
            </div>
        </div>

        <!-- Controls -->
        <a class="left carousel-control" href="#myCarousel" data-slide="prev">
            <span class="icon-prev"></span>
        </a>
        <a class="right carousel-control" href="#myCarousel" data-slide="next">
            <span class="icon-next"></span>
        </a>
    </header>
    <script>
    $('.carousel').carousel({
        interval: 5000 //changes the speed
    })
    </script>
    <?php }?> 




 <!-- DMT EXTENDED Content Start -->    
    <div class="container content">     
